Bug 852398 - Guided BRL editor: After refreshing a condition table with external data sources , enum select box disappears
Guided BRL editor: After refreshing a condition table with external data sour...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: manstis
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 07:36 EDT by Sona Mala
Modified: 2014-10-26 21:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Within the Guided Business Rules Language Editor, errors occurred with enumeration select boxes disappearing. This took place when the enumeration widget was defined with an external data-source. The Label, that shows the current value, was not updating to show the value of the constraint when the remote call completed. This in turn did not allow the selection of a value from the list. This issue has been resolved by ensuring the enumeration widget redraws itself correctly when the asynchronous call to retrieve data completes.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
External data source (class Helper) (1.82 KB, application/octet-stream)
2012-08-28 07:36 EDT, Sona Mala
no flags Details
Repository with the definition of model and enum (3.01 KB, application/zip)
2012-08-28 07:38 EDT, Sona Mala
no flags Details

  None (edit)
Description Sona Mala 2012-08-28 07:36:19 EDT
Created attachment 607482 [details]
External data source (class Helper)

Description of problem:
When an enumeration is created by external data sources (class Helper) and one field depends on the other then this field disappears after the condition table in BRL editor is refreshed by adding a new fact, field or more option.

Version-Release number of selected component (if applicable):
BRMS standalone 5.3.0 GA

How reproducible:
every time for external data source

Steps to Reproduce:
1. Paste class Helper (is attached) into jboss-brms.war/WEB-INF/classes/test
2. Start server
3. Import repository.xml (is attached)
4. Create new business rule (guided editor)
5. Add condition: Fact
6. Add field restriction: field1 and choose Literal value 'val2'
7. Add field restriction: field2 and choose Literal value 'f1val2b'
8. Add:
     - more option to this field or
     - condition: Fact2 or
     - field restriction
9. Set value of field1 again

  
Actual results:
After step 8, element for the value of field2 disappears. This element exists but it is invisible and his text is set to "".

After step 9, element for the value of field2 appears.

Expected results:
After step 8, element for the value of field2 is still visible.
I can skip step 9.

Additional info:
Comment 1 Sona Mala 2012-08-28 07:38:21 EDT
Created attachment 607483 [details]
Repository with the definition of model and enum
Comment 2 manstis 2012-08-29 12:16:55 EDT
The enum drop down is effectively two components: (1) A Label that shows the current value, (2) [when the label is clicked] A ListBox showing the possible values. Where the enum was defined with an external data-source the Label was not being updated to show the value of the constraint when the remote call completed.
Comment 4 Sona Mala 2012-09-12 09:23:14 EDT
Verified for brms standalone 5.3.1 ER1
Comment 5 Douglas Hoffman 2012-10-18 00:46:56 EDT
Thank you for the doc text information. I have updated the paragraph for the Release Notes.

- Doug

Note You need to log in before you can comment on or make changes to this bug.